<#--获取某个表的所有索引信息语句-->
<#-- 输入参数 -->
<#--tableName 表名 -->

SELECT A.INDEX_NAME AS MXSY_BIANH
	,CASE WHEN A.NON_UNIQUE = 0 THEN 1 ELSE 0 END AS MXSY_SHIFWY
	,A.COLUMN_NAME MXSY_ZIDLB,
	CASE WHEN B.CONSTRAINT_TYPE IS NOT NULL AND B.CONSTRAINT_TYPE = 'PRIMARY KEY' THEN 1 ELSE 0 END ISPK
FROM information_schema.STATISTICS A 
	LEFT OUTER JOIN information_schema.TABLE_CONSTRAINTS B ON A.TABLE_NAME = B.TABLE_NAME AND UPPER(A.INDEX_NAME) = UPPER(B.CONSTRAINT_NAME)
WHERE A.TABLE_SCHEMA = DATABASE() AND UPPER(A.TABLE_NAME) = UPPER('${tableName}')
ORDER BY A.INDEX_NAME,A.COLUMN_NAME