<#--删除列语句-->
<#-- 输入参数 -->
<#--columns 列对象列表 属性参考CORE_TABLES_COLUMN -->
<#--table 表对象 属性参考CORE_TABLE -->

<#list columns as column>
<#if table.MX_ZHUJZD==column.MXZD_BIANH>
IF EXISTS (
	SELECT
	1
	FROM
		sys.indexes idx
		JOIN sys.index_columns idxCol
		  ON (idx.object_id = idxCol.object_id
			  AND idx.index_id = idxCol.index_id
			  AND idx.is_primary_key = 1)
		JOIN sys.tables tab
		  ON (idx.object_id = tab.object_id)
		JOIN sys.columns col
		  ON (idx.object_id = col.object_id
			  AND idxCol.column_id = col.column_id)
	WHERE UPPER(tab.name) = UPPER('${table.MX_BIANH}') AND UPPER(idx.name) = UPPER('PK_${table.MX_BIANH}')
)
ALTER TABLE ${table.MX_BIANH} DROP CONSTRAINT PK_${table.MX_BIANH};
</#if>
ALTER TABLE ${table.MX_BIANH} DROP COLUMN ${column.MXZD_BIANH};
</#list>